com.verisign.epp.codec.registry.v01

## Class EPPRegistryTransferHoldPeriodType

- java.lang.Object
- - com.verisign.epp.codec.registry.v01.EPPRegistryPeriodType
  - - com.verisign.epp.codec.registry.v01.EPPRegistryTransferHoldPeriodType

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryTransferHoldPeriodType
      extends EPPRegistryPeriodType

  Represents the period of time a domain object is in the pending transfer before the transfer is auto approved by the server. The <registry:transferHoldPeriod> element MUST have the "unit" attribute with the possible values of "y" for year, "m" for month, and "d" for day..
  See Also:
    `EPPRegistryDomain`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.verisign.epp.codec.registry.v01.EPPRegistryPeriodType

      `EPPRegistryPeriodType.Unit`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryTransferHoldPeriodType`.

    - ### Fields inherited from class com.verisign.epp.codec.registry.v01.EPPRegistryPeriodType

      `ATTR_UNIT, number, unit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryTransferHoldPeriodType()` Default constructor.
    `EPPRegistryTransferHoldPeriodType(java.lang.Integer aNumber, EPPRegistryPeriodType.Unit aUnit)` Construct an instance of `EPPRegistryTransferHoldPeriodType` with `number` and `unit`.
    `EPPRegistryTransferHoldPeriodType(int aNumber, EPPRegistryPeriodType.Unit aUnit)` Construct an instance of `EPPRegistryTransferHoldPeriodType` with `number` and `unit`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected java.lang.String` | `getRootName()` Gets the root element local name.

    - ### Methods inherited from class com.verisign.epp.codec.registry.v01.EPPRegistryPeriodType

      `clone, decode, encode, equals, getNumber, getUnit, setNumber, setUnit, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryTransferHoldPeriodType`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryTransferHoldPeriodType

          public EPPRegistryTransferHoldPeriodType()

      Default constructor. Must call `EPPRegistryPeriodType.setNumber(Integer)` and `#setUnit(String)` before calling the `EPPRegistryPeriodType.encode(org.w3c.dom.Document)` method.

    - #### EPPRegistryTransferHoldPeriodType

          public EPPRegistryTransferHoldPeriodType(java.lang.Integer aNumber,
                                                   EPPRegistryPeriodType.Unit aUnit)

      Construct an instance of `EPPRegistryTransferHoldPeriodType` with `number` and `unit`.
      Parameters:
        `aNumber` - number must be > 0
        `aUnit` - unit must be one of `Unit#y`, `Unit#m`, or `Unit#d`

    - #### EPPRegistryTransferHoldPeriodType

          public EPPRegistryTransferHoldPeriodType(int aNumber,
                                                   EPPRegistryPeriodType.Unit aUnit)

      Construct an instance of `EPPRegistryTransferHoldPeriodType` with `number` and `unit`.
      Parameters:
        `aNumber` - number must be > 0
        `aUnit` - unit must be one of `Unit#y`, `Unit#m`, or `Unit#d`

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.

    - #### getRootName

          protected java.lang.String getRootName()

      Gets the root element local name.
      Overrides:
        `getRootName` in class `EPPRegistryPeriodType`
      Returns:
        Root element local name.

Copyright © VeriSign Inc. All Rights Reserved.